package com.mx.dla.dda.factura.general.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class ContratoFacturaDTO extends BaseDTO{

	private static final long serialVersionUID = 1L;
	
	private String contratoDesc;
	private Long   idContrato;
	private Long   idContratoOri;
	private Long   idFactura;
	private Double pagado;
	private Double pagar;
	private Double pendiente;
	private Double total;
	private String idSapCto;
	private List<MesFacturaDTO> meses;
		
	public String getContratoDesc() {
		return contratoDesc;
	}
	public void setContratoDesc(String contratoDesc) {
		this.contratoDesc = contratoDesc;
	}
	public Long getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}
	public Double getPagado() {
		return pagado;
	}
	public void setPagado(Double pagado) {
		this.pagado = pagado;
	}
	public Double getPagar() {
		return pagar;
	}
	public void setPagar(Double pagar) {
		this.pagar = pagar;
	}
	public Double getPendiente() {
		return pendiente;
	}
	public void setPendiente(Double pendiente) {
		this.pendiente = pendiente;
	}
	public Double getTotal() {
		return total;
	}
	public void setTotal(Double total) {
		this.total = total;
	}
	public List<MesFacturaDTO> getMeses() {
		return meses;
	}
	public void setMeses(List<MesFacturaDTO> meses) {
		this.meses = meses;
	}
	public Long getIdContratoOri() {
		return idContratoOri;
	}
	public void setIdContratoOri(Long idContratoOri) {
		this.idContratoOri = idContratoOri;
	}
	public Long getIdFactura() {
		return idFactura;
	}
	public void setIdFactura(Long idFactura) {
		this.idFactura = idFactura;
	}
	public String getIdSapCto() {
		return idSapCto;
	}
	public void setIdSapCto(String idSapCto) {
		this.idSapCto = idSapCto;
	}		
	
}
